ChangeSet 1.1243.50.15, 2003/06/10 14:50:54-07:00, david-b@pacbell.net

[PATCH] USB: ohci-hcd, remove FIXME

The endpoint disable() change resolved the bug
identified by the FIXME ... this updates the comment.


 drivers/usb/host/ohci-q.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)


diff -Nru a/drivers/usb/host/ohci-q.c b/drivers/usb/host/ohci-q.c
--- a/drivers/usb/host/ohci-q.c	Tue Jun 10 17:11:10 2003
+++ b/drivers/usb/host/ohci-q.c	Tue Jun 10 17:11:10 2003
@@ -377,12 +377,8 @@
 		ed->type = type;
 	}
 
-	/* FIXME:  Don't do this without knowing it's safe to clobber this
-	 * state/mode info.  Currently the upper layers don't support such
-	 * guarantees; we're lucky changing config/altsetting is rare.
-	 * The state/mode info also changes during enumeration: set_address
-	 * uses the 'wrong' device address, and ep0 maxpacketsize will often
-	 * improve on the initial value.
+	/* NOTE: only ep0 currently needs this "re"init logic, during
+	 * enumeration (after set_address, or if ep0 maxpacket >8).
 	 */
   	if (ed->state == ED_IDLE) {
 		u32	info;
